Bug 75142 - Changing fonts in sawfish crashes the X server
Summary: Changing fonts in sawfish crashes the X server
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sawfish   
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: MoveUpstream, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-04 19:21 UTC by Ted Clark
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-13 04:01:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ted Clark 2002-10-04 19:21:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
Changing the fonts in sawfish will sometimes crash the X server.  I am unable to
open an xterm or switch to a virtual console using ctrl-alt-fn; I have to reboot
the system with the power switch.  The mouse point will still move around, but
the window list, workspace switcher, desktop menu, etc. do not work.  Once in a
while sawfish will crash and can be restarted, but most of the time I have to
reboot the system.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Change fonts in sawfish until the system hangs.
2.
3.
	

Actual Results:  Eventually the system will hang and will have to be rebooted.

Expected Results:  It should be possible to change fonts without hanging the system.

Additional info:

sawfish-2.0-4

related to bug #75140

Comment 1 Havoc Pennington 2002-10-04 19:40:22 UTC
If the X server is crashed, then that is an X server bug.

If sawfish is just sticking a server grab it's a Sawfish bug and should be moved
to http://bugzilla.gnome.org

You can tell if it's sawfish's fault by doing a "killall sawfish" while things
are stuck; if killing sawfish fixes the problem, it was a stuck grab.

You may need to Ctrl+Alt+F1 to a console, or ssh into the machine, to kill sawfish.

Comment 2 Ted Clark 2002-10-04 19:43:58 UTC
Ctrl-Alt-F1 doesn't work after the crash.  I will have to enable ssh and get
back to you...

Comment 3 Ted Clark 2002-10-07 16:19:19 UTC
I can ssh in from another system and kill sawfish, so this problem appears to be
related to a stuck server grab.

Comment 4 Havoc Pennington 2003-01-13 04:01:04 UTC
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103322


Note You need to log in before you can comment on or make changes to this bug.